Package net.snowflake.client.core.auth.wif

## Class PlatformDetectionUtil

- java.lang.Object
- - net.snowflake.client.core.auth.wif.PlatformDetectionUtil

    @SnowflakeJdbcInternalApi
    public class PlatformDetectionUtil
    extends Object

### Constructor Summary

Constructors
`PlatformDetectionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `hasValidAwsIdentityForWif​(AwsAttestationService attestationService, int timeoutMs)`
`static boolean` `isValidArnForWif​(String arn)`
`static String` `performPlatformDetectionRequest​(org.apache.http.client.methods.HttpRequestBase httpRequest, int timeoutMs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDetectionUtil

    public PlatformDetectionUtil()

### Method Detail

#### performPlatformDetectionRequest

    public static String performPlatformDetectionRequest​(org.apache.http.client.methods.HttpRequestBase httpRequest,
                                                         int timeoutMs)
                                                  throws SnowflakeSQLException,
                                                         IOException

Throws:
  `SnowflakeSQLException`
  `IOException`

#### hasValidAwsIdentityForWif

    public static boolean hasValidAwsIdentityForWif​(AwsAttestationService attestationService,
                                                    int timeoutMs)

#### isValidArnForWif

    public static boolean isValidArnForWif​(String arn)